[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# Bar3D

Draw filled 3-dimensional rectangle

## Declaration

Source position: graphh.inc line 792

`procedure Bar3D(`
`x1: SmallInt;`
`y1: SmallInt;`
`x2: SmallInt;`
`y2: SmallInt;`
`depth: Word;`
`top: Boolean`
`);`

## Description

Bar3d draws a 3-dimensional Bar with corners at (X1,Y1) and (X2,Y2) and fills it with the current color and fill-style. Depth specifies the number of pixels used to show the depth of the bar.

If Top is true; then a 3-dimensional top is drawn.

## Errors

None.

## See also

Bar |  | Draw filled rectangle
Rectangle |  | Draw a rectangle on the screen.

Documentation generated on: Feb 26 2014